{{ if .Capabilities.APIVersions.Has "gatus.leni.tech/v1alpha1" -}}
---
apiVersion: gatus.leni.tech/v1alpha1
kind: GatusEndpoint
metadata:
  name: {{ .Release.Name }}
  labels:
    {{- include "chart.labels" . | nindent 4 }}
spec:
  type: https
  host:
    ingressRef:
      name: {{ .Release.Name }}
  path: "/admin/"
  method: GET
  conditions:
    - "[STATUS] == 200"
{{ end -}}
